Bug 741146 - Next/Previous entry/fuzzy buttons based on last-edited entry rather than currently selected entry
Next/Previous entry/fuzzy buttons based on last-edited entry rather than curr...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-25 21:23 EDT by David Mason
Modified: 2011-10-28 03:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.4.2-SNAPSHOT (20111011-1535)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:35:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2011-09-25 21:23:04 EDT
Description of problem:

In the webtrans editor, the next/previous entry/fuzzy buttons select rows based on which row had an editor cell open most recently, rather than based on the currently selected (i.e. grey outlined) row.

Next/previous fuzzy button can select approved entries if the selected row is different from the row that last had an editor open - it appears that the position of the next fuzzy is counted from the selected row, but the opened cell is counted from the previously open editor cell.


Version-Release number of selected component (if applicable):
1.4

How reproducible:
Always

Steps to Reproduce:
1.Sign in and open a document with at least 5 entries
2.Edit text and save entries to give the following:

row
1    empty
2    approved
3    approved
4    fuzzy

3.Click target 1 to open editor cell
4.Click source 3 to select row 3 without opening an editor cell
5.Click 'next entry'

6.Click target 1 to open editor cell
7.Click source 3 to select row 3 without opening an editor cell
8.Click 'next fuzzy'
  
Actual results:
Next entry selects row 2
Next fuzzy selects row 2

Expected results:
Next entry selects row 4
Next fuzzy selects row 4

Additional info:

The algorithm for finding the offset of the next fuzzy is using the selected row, so it may be easy to make the row advancement based on the same thing could be an easy fix.
Comment 2 Ding-Yi Chen 2011-10-11 21:57:15 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111011-1535)


Note that, keyboard shortcut won't work in this scenario, as keyboard shortcut need an opening cell editor.

Note You need to log in before you can comment on or make changes to this bug.